function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BizSelect, IconFont } from '@zgfe/business-lib';
import React, { useEffect, useMemo, useState } from 'react';
import { classPrefix } from '..';
import { Tooltip } from 'antd';
var FusionSelect = function FusionSelect(props) {
  var options = props.options,
    placeholder = props.placeholder,
    labelField = props.labelField,
    keyField = props.keyField,
    disableItemList = props.disableItemList,
    optionType = props.optionType,
    _props$disable = props.disable,
    disable = _props$disable === void 0 ? false : _props$disable,
    _onChange = props.onChange;
  var _useState = useState(props.value),
    _useState2 = _slicedToArray(_useState, 2),
    selectValue = _useState2[0],
    setSelectValue = _useState2[1];
  useEffect(function () {
    if (!props.value) return;
    var value;
    options.forEach(function (item) {
      if (item[keyField || 'id'] === props.value) {
        value = props.value;
      }
    });
    setSelectValue(value);
    _onChange && _onChange(value);
  }, [options]);
  var disableList = useMemo(function () {
    if (!props.value) return disableItemList;
    return disableItemList === null || disableItemList === void 0 ? void 0 : disableItemList.filter(function (item) {
      return item.id !== props.value;
    });
  }, [disableItemList]);
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(classPrefix, "-select-content")
  }, /*#__PURE__*/React.createElement(BizSelect, {
    disable: disable,
    value: _defineProperty({}, keyField || 'id', selectValue),
    enableSearch: true,
    className: "".concat(classPrefix, "-width342"),
    placeholder: placeholder || '请选择',
    labelField: labelField,
    keyField: keyField,
    options: options.filter(function (item) {
      return !optionType || item.webType === optionType;
    }),
    disableItemList: disableList,
    onChange: function onChange(data) {
      setSelectValue(data[keyField || 'id']);
      _onChange && _onChange(data[keyField || 'id']);
    }
  }), props.tip ? /*#__PURE__*/React.createElement(Tooltip, {
    title: props.tip
  }, /*#__PURE__*/React.createElement(IconFont, {
    type: "tishi"
  })) : null);
};
export default FusionSelect;